### Method

# Gtk CellAreaattribute_get_column

deprecated: 4.10

#### Declaration [src]

    int
    gtk_cell_area_attribute_get_column (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* attribute
    )

#### Description [src]

Returns the model column that an attribute has been mapped to, or -1 if the attribute is not mapped.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer`

  The data is owned by the caller of the method.

`attribute`

  Type: `const char*`

  An attribute on the renderer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

The model column, or -1